Subject: Re: [TEST] Wiki / instructions

From: Jakub Kicinski <[email-masked]>
Date: Tue, 6 Feb 2024 17:37:05 -0800

On Mon, 5 Feb 2024 18:21:56 +0100 Matthieu Baerts wrote:
> Thank you for this wiki page, and all the work with the CI infrastructure!
> 
> For the debug options, I see that you are using:
> 
>   kernel/configs/x86_debug.config
> 
> It looks like this is specific for the 'tip' tree:
> 
>   Debugging options for tip tree testing
> 
> I don't know if it is still maintained, e.g. it includes DEBUG_SLAB
> option. But also, it enables options that are maybe not needed: GCOV?
> X86_DEBUG_FPU?
> Maybe it is better not to use this .config file, no?

I haven't looked to closely. I noticed that the basic debug config
doesn't enable LOCKDEP ?! so I put the x86 one on top.

I added a local patch to cut out all the obviously pointless stuff from
x86_debug.config, we should probably start our own config for networking
at some stage.

> For our CI validating MPTCP tests in a "debug" mode, we use
> "debug.config" without "x86_debug.config". On top of that, we also
> disable "SLUB_DEBUG_ON", because the impact on the perf is too
> important, especially with slow environments. We think it is not worth
> it for our case. You don't have the same hardware, but if you have perf
> issues, don't hesitate to do the same ;)

The mptcp tests take <60min to run with debug enabled, and just 
a single thread / VM. I think that's fine for now. But thanks for 
the heads up that SLUB_DEBUG_ON is problematic, for it may matter for
forwarding or net tests.